#include "ExecutionQueueMock.h"

#include "executionqueue/ICommand.h"

namespace NS_DM_Client
{

bool ExecutionQueueMock::Init(const StringMap& settings,
    const String& loggerInstance, ProfileComponentsHolder& pch)
{
    return true;
}

bool ExecutionQueueMock::Start()
{
    return true;
}

bool ExecutionQueueMock::Stop()
{
    return true;
}

void ExecutionQueueMock::Release()
{

}

bool ExecutionQueueMock::Add(ICommand& cmd)
{
    return cmd.Execute();
    delete &cmd;
}

}
